package com.virtual.plat.server.domainview;

import com.virtual.common.AppException;
import com.virtual.plat.server.domainview.DomainViewDao;
import com.virtual.plat.server.domainview.DomainViewMgr;
import com.virtual.plat.server.entity.QueryConfig;
import com.virtual.plat.server.entity.QueryResult;
import com.virtual.plat.server.entity.Vapp;
import com.virtual.plat.server.entity.VappDomain;
import java.util.Iterator;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service("domainViewMgr")
public class DomainViewMgrImpl implements DomainViewMgr {

   @Resource
   private DomainViewDao domainViewDao = null;


   @Transactional
   public QueryResult queryFolderByCondition(QueryConfig var1) {
      return this.domainViewDao.readFolderByCondition(var1);
   }

   @Transactional
   public QueryResult queryVirtualHostInfo(QueryConfig var1) {
      return this.domainViewDao.readVirtualHostInfo(var1);
   }

   @Transactional
   public void addDomainFolder(Vapp var1) {
      this.domainViewDao.insertDomainFolder(var1);
   }

   @Transactional
   public void delDomainFolderList(List var1) {
      if(var1 != null) {
         Iterator var3 = var1.iterator();

         while(var3.hasNext()) {
            Vapp var2 = (Vapp)var3.next();
            this.domainViewDao.deleteDomainFolder(var2);
         }
      }

   }

   @Transactional
   public boolean isExistFolder(Long var1) {
      return this.domainViewDao.readFolderById(var1) != null;
   }

   @Transactional
   public void addVappDomainList(List var1) {
      if(var1 != null) {
         Iterator var3 = var1.iterator();

         while(var3.hasNext()) {
            VappDomain var2 = (VappDomain)var3.next();
            this.domainViewDao.insertVappDomain(var2);
         }
      }

   }

   @Transactional
   public void deleteVappDomain(Long var1, Long var2) {
      QueryConfig var3;
      (var3 = new QueryConfig()).addRestriction("domainId", var1);
      var3.addRestriction("favoriteId", var2);
      QueryResult var4;
      if((var4 = this.domainViewDao.readVirtualHostInfo(var3)) != null && var4.getData() != null && var4.getData().size() > 0) {
         this.domainViewDao.deleteVappDomain((VappDomain)var4.getData().get(0));
      } else {
         throw new AppException(1001);
      }
   }

   @Transactional
   public void deleteVappDomainList(List var1) {
      if(var1 != null) {
         Iterator var3 = var1.iterator();

         while(var3.hasNext()) {
            VappDomain var2 = (VappDomain)var3.next();
            this.domainViewDao.deleteVappDomain(var2);
         }
      }

   }
}
